'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = main;

var _logging = require('./logging');

var _arguments = require('./arguments');

var _package = require('../package');

var _package2 = _interopRequireDefault(_package);

var _all = require('./run/all');

var _all2 = _interopRequireDefault(_all);

var _travis = require('./travis');

var _travis2 = _interopRequireDefault(_travis);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function main() {
  const defaults = {
    name: _package2.default.name,
    version: _package2.default.version,
    description: _package2.default.description,
    logLevel: 'info'
  };
  const program = (0, _arguments.parseArguments)(defaults, process.argv);
  _logging.logger.level = program.logLevel;

  _logging.logger.info('%s v%s', _package2.default.name, _package2.default.version);

  return (0, _travis2.default)().then(_all2.default, function () {
    return Promise.resolve(1);
  });
}