'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.readFile = exports.mkdir = exports.exists = exports.exec = undefined;

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _promisifyFunction = require('promisify-function');

var _promisifyFunction2 = _interopRequireDefault(_promisifyFunction);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const mkdir = (0, _promisifyFunction2.default)(_fs2.default.mkdir);
const readFile = (0, _promisifyFunction2.default)(_fs2.default.readFile);

function exec(command, options) {
  return new Promise(function (resolve, reject) {
    _child_process2.default.exec(command, options, function (err, stdout, stderr) {
      if (err) {
        reject(err);
      } else {
        resolve({ command, stdout, stderr });
      }
    });
  });
}

function exists(path) {
  return new Promise(function (resolve, reject) {
    _fs2.default.exists(path, function (exists) {
      if (exists) {
        resolve();
      } else {
        reject();
      }
    });
  });
}

exports.exec = exec;
exports.exists = exists;
exports.mkdir = mkdir;
exports.readFile = readFile;